Venflow API
V1ProductosPor ID

Actualizar un producto

PATCH
/v1/products/{id}
Api-Key<token>

Tu clave API privada (comienza con pvk_)

In: header

Organization<token>

Tu ID de organización

In: header

Path Parameters

idstring
Formatuuid
active?boolean

Si el producto está disponible actualmente para compra

description?string

Descripción del producto, para mostrar al cliente

Length1 <= length <= 1000
external_id?string

Identificador externo para integración con otros sistemas

Lengthlength <= 255
name?string

Nombre del producto, para mostrar al cliente

Length1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.venflow.app/v1/products/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "Producto Actualizado",    "active": true  }'
{
  "active": true,
  "created": 0.1,
  "description": "string",
  "external_id": "string",
  "id": "string",
  "livemode": true,
  "name": "string",
  "object": "product",
  "updated": 0.1
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}